package com.czg.account.service;

import com.czg.account.dto.menu.MenuAddDTO;
import com.czg.account.dto.menu.MenuEditDTO;
import com.czg.account.entity.CashMenu;
import com.czg.account.entity.SysMenu;
import com.czg.account.vo.MenuVO;
import com.mybatisflex.core.service.IService;

import java.util.List;

/**
 * 系统菜单 服务层。
 *
 * @author Administrator
 * @since 2025-02-10
 */
public interface SysMenuService extends IService<SysMenu> {

    List<MenuVO> getMenu();

    List<MenuVO> getAll(String title, String startTime, String endTime);

    Boolean add(MenuAddDTO menuAddDTO);

    Boolean edit(MenuEditDTO menuEditDTO);

    List<CashMenu> getCashAll();

}
